import numpy as np
import mon_code_fortran as mcf

A = np.array([[100,1,1], [1,10,2], [2,3,-1]])
print ("A =")
print (A)
ipiv = np.array([0,0,0])
mcf.ludecmp(A,ipiv)
print ("A =")
print (A)
print ("ipiv =", ipiv)

# > A := <<100 | 1 | 1>, <1 | 10 | 2>, <2 | 3 | -1>>;
#                                  [100     1     1]
#                                  [               ]
#                             A := [  1    10     2]
#                                  [               ]
#                                  [  2     3    -1]
# 
# > P, L, U := LUDecomposition(evalf(A));  
#            [1    0    0]  [       1.0                   0.            0. ]
#            [           ]  [                                              ]
# P, L, U := [0    1    0], [0.0100000000000000           1.0           0. ],
#            [           ]  [                                              ]
#            [0    0    1]  [0.0200000000000000    0.298298298298298    1.0]
# 
#     [100.           1.                  1.        ]
#     [                                             ]
#     [ 0.     9.99000000000000    1.99000000000000 ]
#     [                                             ]
#     [ 0.            0.           -1.61361361361361]
# 

B = np.array ([[2,3,-1], [1,10,2], [100,1,1]])
print ("B =")
print (B)
mcf.ludecmp (B, ipiv)
print ("B =")
print (B)
print ("ipiv =", ipiv)

# > B := <<2 | 3 | -1>, <1 | 10 | 2>, <100 | 1 | 1>>;
#                                  [  2     3    -1]
#                                  [               ]
#                             B := [  1    10     2]
#                                  [               ]
#                                  [100     1     1]
# 
# > P, L, U := LUDecomposition(evalf(B));
#            [0    0    1]  [       1.0                   0.            0. ]
#            [           ]  [                                              ]
# P, L, U := [0    1    0], [0.0100000000000000           1.0           0. ],
#            [           ]  [                                              ]
#            [1    0    0]  [0.0200000000000000    0.298298298298298    1.0]
# 
#     [100.           1.                  1.        ]
#     [                                             ]
#     [ 0.     9.99000000000000    1.99000000000000 ]
#     [                                             ]
#     [ 0.            0.           -1.61361361361361]
# 
